Authorization (pre-auth) - Use a Payment Token

Pre-Authorize an amount on a credit/debit card using a card token

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

QorCommerce provides a Secure Vault that will encrypt and store card numbers and return a token you can store with the client and/or a contract to use for future payments.

Card Tokens can be created from card data or track data during a sale or authorize transaction by providing the required card data and store_card = true parameter in the request. You can also create a card token using the Create a Payment Token endpoint.

To use a card token for a authorization, you simply pass the token as a creditcard value in the request using this endpoint.

Parameters

    The following parameters are available to process a card token authorization.

<th style={{ textAlign: "left" }}>
  <span style={{ color: "#5375bd" }}><b>description</b></span>
</th>

<th style={{ textAlign: "center" }}>
  <span style={{ color: "#5375bd" }}><b>required</b></span>
</th>
<td>
  the Merchant ID (MID) assigned by <span style={{ color: "#5375bd" }}><b>USER.COMPANY_NAME</b></span> or your merchant service provider (MSP)
</td>

<td style={{ textAlign: "center" }}>
  Yes
</td>
<td>
  Type Of Payment Transaction - set a value to simply tag and/or route a transaction to a pre-defined provider.
</td>

<td style={{ textAlign: "center" }}>
  No
</td>
<td>
  A reference id that will be echo'd back in the message response.
</td>

<td style={{ textAlign: "center" }}>
  No
</td>
<td>
  the total amount to process
</td>

<td style={{ textAlign: "center" }}>
  Yes
</td>
<td>
  the amount of the total sum of this transaction that is made up of the service\_charge
</td>

<td style={{ textAlign: "center" }}>
  No
</td>
<td>
  the card token
</td>

<td style={{ textAlign: "center" }}>
  Yes
</td>
<td>
  supply the card validation value of the tokenized card for security purposes
</td>

<td style={{ textAlign: "center" }}>
  Yes
</td>
<td>
  The currency to process.  Defaults to USD if no value provided
</td>

<td style={{ textAlign: "center" }}>
  No
</td>
<td>
  the merchant invoice id associated with the sale
</td>

<td style={{ textAlign: "center" }}>
  No
</td>
<td>
  unique merchant order number
</td>

<td style={{ textAlign: "center" }}>
  Yes
</td>
<td>
  The IP address of the client or server sending the request
</td>

<td style={{ textAlign: "center" }}>
  No
</td>
<td>
  the customers first name
</td>

<td style={{ textAlign: "center" }}>
  No
</td>
<td>
  the customers last name
</td>

<td style={{ textAlign: "center" }}>
  No
</td>
<td>
  the customers email address
</td>

<td style={{ textAlign: "center" }}>
  No
</td>
<td>
  the customers phone number
</td>

<td style={{ textAlign: "center" }}>
  No
</td>
<td>
  risk score associated to this transaction (\*if you are using a risk prevention system)
</td>

<td style={{ textAlign: "center" }}>
  No
</td>
<td>
  is this a recurring transaction (0 or 1)<br />default = 0
</td>

<td style={{ textAlign: "center" }}>
  No
</td>
<td>
  original transaction id of the first payment
</td>

<td style={{ textAlign: "center" }}>
  Yes if **is\_recurring** value is `1`
</td>
<td>
  The 3Ds/3RI Cardholder Authentication Verification Value (MasterCard's UCAF value)<br />Must be 28-32 chars in length
</td>

<td style={{ textAlign: "center" }}>
  No
</td>
<td>
  Provide the Electronic Commerce Indicator from the 3DS/3RI service
</td>

<td style={{ textAlign: "center" }}>
  No
</td>
<td>
  3DS/3RI Transaction Identifier
</td>

<td style={{ textAlign: "center" }}>
  No
</td>
<td>
  if `true` will store card in <span style={{ color: "#5375bd" }}><b>USER.COMPANY_NAME Secure Vault</b></span> and return a card token
</td>

<td style={{ textAlign: "center" }}>
  No
</td>
<td>
  a set of key-value pairs that you can attach to a payment. This can be useful for storing additional information about the payment in a structured format.
</td>

<td style={{ textAlign: "center" }}>
  No
</td>
parameter
**mid**
**topt**
**reference\_id**
**amount**
**service\_charge**
**creditcard**
**cvv**
**currency**
**invoiceid**
**orderid**
**ipaddress**
**cfirstname**
**clastname**
**cemail**
**cphone**
**risk\_score**
**is\_recurring**
**first\_trxn**
**CAVV**
**ECIFlag**
**XID**
**store\_card**
**metadata**
JSON Example

The following JSON example provides test values to process a card token sale. You can copy and paste these values in the Body Params section below to be used by the Try It feature

{
  "transaction_data": {
    "mid": "887728202",
    "amount": "1.5",
    "creditcard": "909055$asoCdcdt",
    "cvv": "999",
    "currency": "USD",
    "orderid": "193383",
    "invoiceid": "INV-123332",
    "ipaddress": "0.0.0.0",
    "cfirstname": "Russell",
    "clastname": "Hanneman",
    "cemail": "[email protected]",
    "cphone": "1-344-877-8928",
    "cwebaddress": "example.com"
  }
}

Response Codes

    Link to details on related response codes.

  • [Payment Response Codes](doc:payment-response-codes)
Body Params
transaction_data
object
required
Headers
string
required
length ≤ 24
Defaults to T6554252567241061980

The unique key identifying the app making this request.

NOTE: If testing use T6554252567241061980 for the Qor-App-Key header key.

string
required
Defaults to 01dffeb784c64d098c8c691ea589eb82

The Client key represents an authorized merchant account and is assigned by QorCommerce or your merchant service account provider.

NOTE: If testing use 01dffeb784c64d098c8c691ea589eb82 for the Qor-Client-Key header key.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json